<!DOCTYPE html>
<html>

<head>
  <meta charset='UTF-8'>
  <title>Trabalhando com Eventos #04</title>
  <link rel='stylesheet' href='css/estilo.css'>
  <style>
    form {
      display: flex;
      flex-direction: column;
    }

    form input,
    form select,
    form button {
      margin: 10px;
      font-size: 1.6em;
    }
  </style>
</head>

<body class="conteudo exercicio">
  <h1>Formulário</h1>
  <form name="pesquisa" action="http://www.google.com.br/search">
    <input type="text" name="q" placeholder="Digite o termo...">
    <select name="hl">
      <option value="pt-br">Português (Brasil)</option>
      <option value="en-us">Inglês (Americano)</option>
    </select>
    <button wm-submit>Pesquisar</button>
  </form>
  <script>
    // const submit = document.querySelector('[wm-submit]')
    // submit.onclick = (e) => {
    //   e.preventDefault()

    //   const form = e.target.parentNode
    //   const formData = new FormData(form)
    //   formData.append('ajax', true)
    //   console.log(formData.get('q'))
    //   console.log(formData.has('hl'))

    //   for (let dado of formData) {
    //     console.log(dado)
    //   }
    // }

    const form = document.forms[0]
    form.onsubmit = (e) => {
      e.preventDefault()

      const form = e.target
      const formData = new FormData(form)
      formData.append('ajax', true)
      console.log(formData.get('q'))
      console.log(formData.has('hl'))

      for (let dado of formData) {
        console.log(dado)
      }
    }
  </script>
</body>